Notice Regarding iOS 12.0 Compatibility

September 14, 2018

Currently, Puzzle & Dragons supports iOS versions 8.0 -11.4. Please note that the game may not be compatible with iOS 12.0. Upgrading your device to iOS 12.0 may cause Puzzle & Dragons to crash upon launch, rendering it unplayable.

 

iOS 12.0 compatibility will be addressed in a future update. Further information will be announced here as details become available, but in the meantime please refrain from updating to iOS 12.0 if you wish to continue playing Puzzle & Dragons.

 

We apologize for the inconvenience and appreciate your understanding and patience.

 

*If you have questions regarding your device’s current operating system in use or on how to update it, please contact Apple or the device manufacturer.
*Please perform operating system updates at your own discretion.

Share on Facebook
Share on Twitter
Please reload